NotOpenSSLWarning

36 views
Skip to first unread message

G. M.-S.

unread,
Jun 2, 2024, 8:11:20 AMJun 2
to sage-...@googlegroups.com

Trying to build SageMath on macOS with homebrew, I get

urllib3.exceptions.NotOpenSSLWarning: urllib3 v2 only supports OpenSSL 1.1.1+, currently the 'ssl' module is compiled with 'LibreSSL 2.8.3'. See: https://github.com/urllib3/urllib3/issues/3020


However:

% brew info libressl

==> libressl: stable 3.9.2 (bottled), HEAD [keg-only]

Version of the SSL/TLS protocol forked from OpenSSL

https://www.libressl.org/

Not installed


% brew info openssl

==> openssl@3: stable 3.3.0 (bottled)

Cryptography and SSL/TLS Toolkit

https://openssl.org/

Installed

/opt/homebrew/Cellar/openssl@3/3.3.0 (6,976 files, 32.4MB) *

  Poured from bottle using the formulae.brew.sh API on 2024-05-11 at 13:49:20

From: https://github.com/Homebrew/homebrew-core/blob/HEAD/Formula/o/ope...@3.rb


What can I do?

Guillermo


Reply all
Reply to author
Forward
0 new messages